Subject: Re: [linux-next][41e83b9][gcc 4.8.5] make modules fail at net/netfilter/xt_bpf.ko

From: Abdul Haleem <[email-masked]>
Date: Wed, 06 Dec 2017 15:56:59 +0530

On Tue, 2017-12-05 at 18:06 +0000, Al Viro wrote:
> On Tue, Dec 05, 2017 at 08:13:11PM +0530, Abdul Haleem wrote:
> > Hi Al Viro,
> > 
> > Today's next kernel build failed with commit 41e83b9: fix "netfilter:
> > xt_bpf: Fix XT_BPF_MODE_FD_PINNED
> > 
> > Machine Type: Power 7
> > kernel version: 4.15.0-rc2-next-20171204
> > kernel config: attached
> > test: 'make modules'
> > 
> > ERROR: ".bpf_prog_get_type_path" [net/netfilter/xt_bpf.ko] undefined!
> > 
> > Kernel built fine when bad commit is reverted.
> 
> In the same commit there's
> 
> +EXPORT_SYMBOL(bpf_prog_get_type_path);
> 
> so I really wonder WTF is going on...
> 
> Oh, I see.  !BPF_SYSCALL and NETFILTER_XT_MATCH_BPF in .config triggers
> that.  Incremental (to be folded into the commit in question) follows:

Thank you for the patch, the build succeeded. But I see some new
warnings.

./include/linux/bpf.h: In function ‘bpf_prog_get_type_path’:
./include/linux/bpf.h:515:2: warning: return makes pointer from integer
without a cast [enabled by default]
  return -EOPNOTSUPP;
  ^

-- 
Regard's

Abdul Haleem
IBM Linux Technology Centre